Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.common
Class PDNamedTextStream

    java.lang.Object
      org.pdfbox.pdmodel.common.PDNamedTextStream

All Implemented Interfaces:
  DualCOSObjectable

public class PDNamedTextStream
extends Object
implements DualCOSObjectable

A named text stream is a combination of a name and a PDTextStream object. This is used in name trees.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDNamedTextStream()` Constructor.
`PDNamedTextStream(COSName name, COSBase str)` Constructor.

Method Summary
`COSBase` | `getFirstCOSObject()` Convert this standard java object to a COS object.
`String` | `getName()` The name of the named text stream.
`COSBase` | `getSecondCOSObject()` Convert this standard java object to a COS object.
`PDTextStream` | `getStream()` This will get the stream.
`void` | `setName(String name)` This will set the name of the named text stream.
`void` | `setStream(PDTextStream str)` This will set the stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDNamedTextStream

    public PDNamedTextStream()

  Constructor.

### PDNamedTextStream

    public PDNamedTextStream(COSName name,
                             COSBase str)

  Constructor.

Parameters:
  `name` - The name of the stream.
  `str` - The stream.

Method Detail

### getName

    public String getName()

  The name of the named text stream.

  Returns:
    The stream name.

### setName

    public void setName(String name)

  This will set the name of the named text stream.

  Parameters:
    `name` - The name of the named text stream.

### getStream

    public PDTextStream getStream()

  This will get the stream.

  Returns:
    The stream associated with this name.

### setStream

    public void setStream(PDTextStream str)

  This will set the stream.

  Parameters:
    `str` - The stream associated with this name.

### getFirstCOSObject

    public COSBase getFirstCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getFirstCOSObject` in interface `DualCOSObjectable`
  Returns:
    The cos object that matches this Java object.

### getSecondCOSObject

    public COSBase getSecondCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getSecondCOSObject` in interface `DualCOSObjectable`
  Returns:
    The cos object that matches this Java object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD